=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libaec-$1\.tar\.gz/ \
  https://github.com/GridTools/gridtools/tags .*/v?(\d\S+)\.tar\.gz
