## gridtools 2.0.0~rc1

=== debian/changelog ===
gridtools (2.0.0~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Jun 2020 14:20:54 +0100

gridtools (1.1.3-2) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Fix paths in generated cmake files

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Apr 2020 14:31:33 +0100
