=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   doxygen,
   mpi-default-dev,
   libboost-dev (>= 1.58.0)
-Standards-Version: 4.4.1.0
+Standards-Version: 4.5.0
 Homepage: https://gridtools.github.io/gridtools/latest/index.html
 Vcs-Browser: https://salsa.debian.org:/science-team/gridtools.git
 Vcs-Git: https://salsa.debian.org:/science-team/gridtools.git
