=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 INSTDIR:=debian/libgridtools-dev
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
+CMAKE_DIR:=$(INSTDIR)/$(LIBDIR)/cmake/gridtools
 
 NO_NATIVE_ARCHS := powerpc ppc64el ppc64 riscv64 sh4 s390x  hppa m68k mipsel
 NATIVE :=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_NATIVE_ARCHS)), \
@@ -27,7 +28,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- ${BUILD_FLAGS} 
 
-
 override_dh_auto_install:
 	dh_auto_install
 	# Shuffle to correct locations
@@ -36,3 +36,15 @@
 	mv $(INSTDIR)/usr/lib/libgcl.a $(INSTDIR)/$(LIBDIR)
 	mv $(INSTDIR)/usr/lib/cmake $(INSTDIR)/$(LIBDIR)/cmake/gridtools
 	mv $(INSTDIR)/usr/gridtools_examples $(INSTDIR)/usr/share/doc/libgridtools-dev
+	for d in \
+                $(CMAKE_DIR)/GridToolsConfig.cmake \
+                $(CMAKE_DIR)/GridToolsTargets-none.cmake ; do \
+                cat $$d | \
+                        sed -e 's%$${_IMPORT_PREFIX}/include%$(INCDIR)%g' | \
+                        sed -e 's%$${_IMPORT_PREFIX}/lib%$(LIBDIR)%g' | \
+                        sed -e 's%$${_IMPORT_PREFIX}/bin%/usr/bin%g' | \
+                        sed -e 's%$${PACKAGE_PREFIX_DIR}/lib/cmake%$(LIBDIR)/cmake/gridtools%g' | \
+                > $(CMAKE_DIR)/tmp ; \
+                mv $(CMAKE_DIR)/tmp $$d ; \
+                done
+
